Bug 507020 - FC11 preupgrade anaconda fails with custom keymap
FC11 preupgrade anaconda fails with custom keymap
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 16:54 EDT by Erik Johnson
Modified: 2014-01-21 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Report generated from anaconda (21.09 KB, application/x-7z-compressed)
2010-07-02 21:10 EDT, Erik Johnson
no flags Details

  None (edit)
Description Erik Johnson 2009-06-19 16:54:39 EDT
Description of problem:
upgrading form FC10 to FC11 via preupgrade downloads files fine, requests a reboot.  Rebooting into upgrade installer starts a blue console asking to select a keyboard type (I select US - tried UK and others).  Anaconda starts to launch, GUI loads, cursor shows & moves.  Dialog stating "Finding storage devices" appears.  Anaconda abruptly quits, python spits out a traceback I cannot grab or save in term0 and the kernel unloads for reboot.  One thing caught my eye finally and that was the name of my custom keyboard keymap (usfuji).

Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Create custom keymap in FC10 (or before) and loadkeys it for use as default
2. Start preupgrade to FC11
3. Reboot and install.
4. ???
5. Fail.
  
Actual results:
Preupgrade runs, system reboots.  Anaconda crashes after searching for storage.

Expected results:
Preupgrade runs, system reboots.  Anaconda completes without error.

Additional info:
My custom keymap is named "usfuji" (to swap home/pgdn, end/pgup keys), a modification of "us"

preupgrade apparently looks at your current keymap name and places it in /boot/upgrade/kp.cfg on the line "keyboard"

anaconda ignores selected keyboard at boot and proceeds to try to load keymap in kp.cfg

anaconda cannot find custom keymap, fails, reboots.  my keymap is installed as /usr/share/keymaps/i386/qwerty/usfuji.map.gz
Comment 1 Erik Johnson 2009-06-19 16:58:52 EDT
Simply changing the "keyboard" line in /boot/upgrade/ks.cfg to "us" fixed it. (not kp.cfg, sorry)

"loadkeys --default" before preupgrade may also avert this issue.
Comment 2 Bug Zapper 2010-04-27 11:06:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:10:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Erik Johnson 2010-07-02 21:09:38 EDT
Problem persists. 
Currently using FC12, upgrading to FC13.
Run preupgrade.
Reboot.
I get text-mode screen prompting me for the keyboard to use.  I select "us"
Next GUI is loaded "Searching for storage"
I am presented with a dialog screen "An unhanded exception has occurred.  This is most likely a bug.  Please save a copy....."

Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/system_config_keyboard/keyboard.py", line 81, in set
    kb = self.modelDict[keytable]
  File "/usr/lib/anaconda/kickstart.py", line 396, in execute
    anaconda.keyboard.set(self.keyboard)
  File "/usr/lib/anaconda/kickstart.py", line 1124, in execute
    obj.execute(self.anaconda)
  File "/usr/bin/anaconda", line 1211, in <module>
    anaconda.ksdata.execute()
KeyError: 'usfuji'
Comment 5 Erik Johnson 2010-07-02 21:10:52 EDT
Created attachment 429206 [details]
Report generated from anaconda
Comment 6 Bug Zapper 2011-06-02 14:00:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:14:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Henrique Martins 2012-07-02 12:41:30 EDT
Well, this happened on one of my machines, using preupgrade to go from F16 to F17, which requires to edit sysconfig/keyboard, rerun preupgrade, upgrade, then remember to put the custom keymap back.  A bit of a pain ...

Note You need to log in before you can comment on or make changes to this bug.